Oracle Linux 6134 Published by

The following updates are available for Oracle Linux:

ELBA-2024-0066 Oracle Linux 9 scap-security-guide bug fix and enhancement update
ELSA-2024-0145 Moderate: Oracle Linux 7 ipa security update
ELSA-2024-0114 Moderate: Oracle Linux 8 python3 security update
ELSA-2024-0116 Moderate: Oracle Linux 8 python-urllib3 security update
ELSA-2024-0071 Important: Oracle Linux 9 squid security update
ELBA-2024-0076 Oracle Linux 9 tzdata bug fix and enhancement update
ELBA-2024-0008 Oracle Linux 9 NetworkManager-libreswan bug fix and enhancement update
ELBA-2024-12054 Oracle Linux 8 bcc bug fix update
ELBA-2023-13057 Oracle Linux 8 oVirt 4.4 ovirt-engine bug fix update
ELSA-2024-0119 Moderate: Oracle Linux 8 libxml2 security update
ELBA-2024-0076 Oracle Linux 8 tzdata bug fix and enhancement update
ELBA-2024-12001 Oracle Linux 7 Unbreakable Enterprise kernel bug fix update
ELBA-2024-12001 Oracle Linux 7 Unbreakable Enterprise kernel bug fix update (aarch64)
ELBA-2024-0076 Oracle Linux 7 tzdata bug fix and enhancement update (aarch64)
ELBA-2024-0076 Oracle Linux 7 tzdata bug fix and enhancement update
ELBA-2024-0076 Oracle Linux 6 Extended Lifecycle Support (ELS) tzdata bug fix and enhancement update




ELBA-2024-0066 Oracle Linux 9 scap-security-guide bug fix and enhancement update


Oracle Linux Bug Fix Advisory ELBA-2024-0066

http://linux.oracle.com/errata/ELBA-2024-0066.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
scap-security-guide-0.1.69-3.0.1.el9_3.noarch.rpm
scap-security-guide-doc-0.1.69-3.0.1.el9_3.noarch.rpm

aarch64:
scap-security-guide-0.1.69-3.0.1.el9_3.noarch.rpm
scap-security-guide-doc-0.1.69-3.0.1.el9_3.noarch.rpm

SRPMS:
http://oss.oracle.com/ol9/SRPMS-updates//scap-security-guide-0.1.69-3.0.1.el9_3.src.rpm

Description of changes:

[0.1.69-3.0.1]
- Fix bash and ansible for rule accounts_umask_interactive_users [Orabug: 35848632]
- Enable OL8 & OL7 content build [Orabug: 36166472]
- Update OL8 STIG rule selection [Orabug: 35663552]
- Update references to reflect STIG V1R7 compliance [Orabug: 35663552]
- Fix unreachable code in sssd_enable_smartcards bash remediation [Orabug: 35663552]
- Update regex to better find included files in sshd_config [Orabug: 35663552]
- Fix false-negatives in sshd_use_approved_kex_ordered_stig OVAL [Orabug: 35876286]

[0.1.69-3]
- Align STIG profile with official DISA STIG for RHEL 9 (RHEL-1807)



ELSA-2024-0145 Moderate: Oracle Linux 7 ipa security update


Oracle Linux Security Advisory ELSA-2024-0145

http://linux.oracle.com/errata/ELSA-2024-0145.html

The following updated rpms for Oracle Linux 7 have been uploaded to the Unbreakable Linux Network:

x86_64:
ipa-client-4.6.8-5.0.1.el7_9.16.x86_64.rpm
ipa-client-common-4.6.8-5.0.1.el7_9.16.noarch.rpm
ipa-common-4.6.8-5.0.1.el7_9.16.noarch.rpm
ipa-python-compat-4.6.8-5.0.1.el7_9.16.noarch.rpm
ipa-server-4.6.8-5.0.1.el7_9.16.x86_64.rpm
ipa-server-common-4.6.8-5.0.1.el7_9.16.noarch.rpm
ipa-server-dns-4.6.8-5.0.1.el7_9.16.noarch.rpm
ipa-server-trust-ad-4.6.8-5.0.1.el7_9.16.x86_64.rpm
python2-ipaclient-4.6.8-5.0.1.el7_9.16.noarch.rpm
python2-ipalib-4.6.8-5.0.1.el7_9.16.noarch.rpm
python2-ipaserver-4.6.8-5.0.1.el7_9.16.noarch.rpm

SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates//ipa-4.6.8-5.0.1.el7_9.16.src.rpm

Related CVEs:

CVE-2023-5455

Description of changes:

[4.6.8-5.0.1]
- Blank out header-logo.png product-name.png
- Replace login-screen-logo.png [Orabug: 20362818]

[4.6.8-5.el7_9.16]
- Resolves: RHEL-12570 ipa: Invalid CSRF protection



ELSA-2024-0114 Moderate: Oracle Linux 8 python3 security update


Oracle Linux Security Advisory ELSA-2024-0114

http://linux.oracle.com/errata/ELSA-2024-0114.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
platform-python-3.6.8-56.0.1.el8_9.2.i686.rpm
platform-python-3.6.8-56.0.1.el8_9.2.x86_64.rpm
platform-python-debug-3.6.8-56.0.1.el8_9.2.i686.rpm
platform-python-debug-3.6.8-56.0.1.el8_9.2.x86_64.rpm
platform-python-devel-3.6.8-56.0.1.el8_9.2.i686.rpm
platform-python-devel-3.6.8-56.0.1.el8_9.2.x86_64.rpm
python3-idle-3.6.8-56.0.1.el8_9.2.i686.rpm
python3-idle-3.6.8-56.0.1.el8_9.2.x86_64.rpm
python3-libs-3.6.8-56.0.1.el8_9.2.i686.rpm
python3-libs-3.6.8-56.0.1.el8_9.2.x86_64.rpm
python3-test-3.6.8-56.0.1.el8_9.2.i686.rpm
python3-test-3.6.8-56.0.1.el8_9.2.x86_64.rpm
python3-tkinter-3.6.8-56.0.1.el8_9.2.i686.rpm
python3-tkinter-3.6.8-56.0.1.el8_9.2.x86_64.rpm

aarch64:
platform-python-3.6.8-56.0.1.el8_9.2.aarch64.rpm
platform-python-debug-3.6.8-56.0.1.el8_9.2.aarch64.rpm
platform-python-devel-3.6.8-56.0.1.el8_9.2.aarch64.rpm
python3-idle-3.6.8-56.0.1.el8_9.2.aarch64.rpm
python3-libs-3.6.8-56.0.1.el8_9.2.aarch64.rpm
python3-test-3.6.8-56.0.1.el8_9.2.aarch64.rpm
python3-tkinter-3.6.8-56.0.1.el8_9.2.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol8/SRPMS-updates//python3-3.6.8-56.0.1.el8_9.2.src.rpm

Related CVEs:

CVE-2022-48560
CVE-2022-48564

Description of changes:

[3.6.8-56.0.1.2]
- Add Oracle Linux distribution in platform.py [Orabug: 20812544]

[3.6.8-56.2]
- Security fix for CVE-2022-48560
Resolves: rhbz#2249755
- Security fix for CVE-2022-48564
Resolves: rhbz#2249750



ELSA-2024-0116 Moderate: Oracle Linux 8 python-urllib3 security update


Oracle Linux Security Advisory ELSA-2024-0116

http://linux.oracle.com/errata/ELSA-2024-0116.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
python3-urllib3-1.24.2-5.0.1.el8_9.2.noarch.rpm

aarch64:
python3-urllib3-1.24.2-5.0.1.el8_9.2.noarch.rpm

SRPMS:
http://oss.oracle.com/ol8/SRPMS-updates//python-urllib3-1.24.2-5.0.1.el8_9.2.src.rpm

Related CVEs:

CVE-2023-43804
CVE-2023-45803

Description of changes:

[1.24.2-5.0.1.2]
- set RECENT_DATE to 01/30/2019 to make checks happy [Orabug: 30228991]

[1.24.2-5.2]
- Security fix for CVE-2023-45803
Resolves: rhbz#2246840
- Security fix for CVE-2023-43804
Resolves: rhbz#2242493



ELSA-2024-0071 Important: Oracle Linux 9 squid security update


Oracle Linux Security Advisory ELSA-2024-0071

http://linux.oracle.com/errata/ELSA-2024-0071.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
squid-5.5-6.0.1.el9_3.5.x86_64.rpm

aarch64:
squid-5.5-6.0.1.el9_3.5.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol9/SRPMS-updates//squid-5.5-6.0.1.el9_3.5.src.rpm

Related CVEs:

CVE-2023-46724
CVE-2023-46728
CVE-2023-49285
CVE-2023-49286

Description of changes:

[7:5.5-6.0.1.el9_3.5]
- squid: Denial of Service in SSL Certificate validation (CVE-2023-46724)
- squid: NULL pointer dereference in the gopher protocol code (CVE-2023-46728)
- squid: Buffer over-read in the HTTP Message processing feature (CVE-2023-49285)
- squid: Incorrect Check of Function Return Value In Helper Process management (CVE-2023-49286)



ELBA-2024-0076 Oracle Linux 9 tzdata bug fix and enhancement update


Oracle Linux Bug Fix Advisory ELBA-2024-0076

http://linux.oracle.com/errata/ELBA-2024-0076.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
tzdata-2023d-1.el9.noarch.rpm
tzdata-java-2023d-1.el9.noarch.rpm

aarch64:
tzdata-2023d-1.el9.noarch.rpm
tzdata-java-2023d-1.el9.noarch.rpm

SRPMS:
http://oss.oracle.com/ol9/SRPMS-updates//tzdata-2023d-1.el9.src.rpm

Description of changes:

[2023d-1]
- Rebase to tzdata-2023d
- Include time zone changes for Ittoqqortoormiit, Greenland
and Vostok, Antarctica.
- Update the expiration date for the leap-seconds.list file.
No new leap seconds were added.



ELBA-2024-0008 Oracle Linux 9 NetworkManager-libreswan bug fix and enhancement update


Oracle Linux Bug Fix Advisory ELBA-2024-0008

http://linux.oracle.com/errata/ELBA-2024-0008.html

The following updated rpms for Oracle Linux 9 have been uploaded to the Unbreakable Linux Network:

x86_64:
NetworkManager-libreswan-1.2.14-2.0.1.el9_3.x86_64.rpm
NetworkManager-libreswan-gnome-1.2.14-2.0.1.el9_3.x86_64.rpm

aarch64:
NetworkManager-libreswan-1.2.14-2.0.1.el9_3.aarch64.rpm
NetworkManager-libreswan-gnome-1.2.14-2.0.1.el9_3.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol9/SRPMS-updates//NetworkManager-libreswan-1.2.14-2.0.1.el9_3.src.rpm

Description of changes:

[1.2.14-2.0.1]
- Add support for DPD parameters, ipsec-interface and authby



ELBA-2024-12054 Oracle Linux 8 bcc bug fix update


Oracle Linux Bug Fix Advisory ELBA-2024-12054

http://linux.oracle.com/errata/ELBA-2024-12054.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
bcc-0.25.0-5.el8.x86_64.rpm
bcc-devel-0.25.0-5.el8.x86_64.rpm
bcc-doc-0.25.0-5.el8.noarch.rpm
bcc-tools-0.25.0-5.el8.x86_64.rpm
python3-bcc-0.25.0-5.el8.x86_64.rpm

aarch64:
bcc-0.25.0-5.el8.aarch64.rpm
bcc-devel-0.25.0-5.el8.aarch64.rpm
bcc-doc-0.25.0-5.el8.noarch.rpm
bcc-tools-0.25.0-5.el8.aarch64.rpm
python3-bcc-0.25.0-5.el8.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol8/SRPMS-updates//bcc-0.25.0-5.el8.src.rpm

Description of changes:

[0.25.0-5]
- Fix LLVM 16 build

[0.25.0-4]
- Add missing patch.

[0.25.0-3]
- Rebuild with llvm 16 (RHBZ#2192949)
- Fix compactsnoop (RHBZ#2042238)
- Fix bindsnoop (RHBZ#2155200)
- Fix nfsslower (RHBZ#2155163)

* Fri Mar 03 2023 bstinson@redhat.com - 0.25.0-2.0.2
- One final rebuild in CentOS Stream only

* Wed Mar 01 2023 bstinson@redhat.com - 0.25.0-2.0.1
- Rebuild in CentOS Stream only for library link issue

[0.25.0-2]
- Fix tcpdrop tool

[0.25.0-1]
- Rebase to bcc-0.25.0
- Rebuild on LLVM 15



ELBA-2023-13057 Oracle Linux 8 oVirt 4.4 ovirt-engine bug fix update


Oracle Linux Bug Fix Advisory ELBA-2023-13057

http://linux.oracle.com/errata/ELBA-2023-13057.html

The following updated rpms for Oracle Linux 8 oVirt 4.4 have been uploaded to the Unbreakable Linux Network:

x86_64:
ovirt-engine-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-backend-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-dbscripts-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-health-check-bundler-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-restapi-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-setup-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-setup-base-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-setup-plugin-cinderlib-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-setup-plugin-imageio-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-setup-plugin-ovirt-engine-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-setup-plugin-ovirt-engine-common-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-setup-plugin-vmconsole-proxy-helper-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-setup-plugin-websocket-proxy-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-tools-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-tools-backup-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-vmconsole-proxy-helper-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-webadmin-portal-4.4.10.7-1.0.30.el8.noarch.rpm
ovirt-engine-websocket-proxy-4.4.10.7-1.0.30.el8.noarch.rpm
python3-ovirt-engine-lib-4.4.10.7-1.0.30.el8.noarch.rpm

SRPMS:
http://oss.oracle.com/ol8/SRPMS-updates//ovirt-engine-4.4.10.7-1.0.30.el8.src.rpm

Description of changes:

[4.4.10.7-1.0.30]
- Fix network exception handling and fencing flow logic.

[4.4.10.7-1.0.29]
- Fixing the manage events form email display

[4.4.10.7-1.0.28]
- Remove taa-no from Secure Skylake Server

[4.4.10.7-1.0.27]
- Updating the jquery to 3.6.0

[4.4.10.7-1.0.26]
- Check locale for path traversal character

[4.4.10.7-1.0.25]
- Hide the icons directory from listable directories

[4.4.10.7-1.0.24]
- Fixed the packing of ova where ovf length was changed after encoding

[4.4.10.7-1.0.23]
- Fixed the issue of renewing vm-console-proxy and ovn certificates during engine-setup

[4.4.10.7-1.0.22]
- Fix the engine url for vmconsole to use https protocol

[4.4.10.7-1.0.21]
- Fix classpath for SecureByteArrayOutputStream after apache-sshd-2.9 update

[4.4.10.7-1.0.20]
- Wait for loop device to be available

[4.4.10.7-1.0.19]
- Clean old nvram file on vm emulator update to uefi secure boot

[4.4.10.7-1.0.18]
- Added support to use postgresql-jdbc-42.2.14-1 and spring framework 5.3.19
- Cleanup the spec file to remove unneeded or commented lines

[4.4.10.7-1.0.17]
- Stopping the ovirt-engine-dwh service and setting the DwhCurrentlyRunning to 0 when changing password encryption from md5 to scram-sha-256.

[4.4.10.7-1.0.16]
- Included the condition of origin as NULL while inserting the data in vm_ovf_generations table

[4.4.10.7-1.0.15]
- Fix to parse both uppercase and camelcase instanceID in OvfReader

[4.4.10.7-1.0.14]
- Back Port from upstream 4.5 - https://gerrit.ovirt.org/c/ovirt-engine/+/116317/

[4.4.10.7-1.0.13]
- Remove movirt as it is deprecated upstream

[4.4.10.7-1.0.12]
- Changing the password ecryption type in postgres from md5 to scram-sha-256

[4.4.10.7-1.0.11]
- Add NumOfPciExpressPorts as configurable attribute

[4.4.10.7-1.0.10]
- Forward port - Support for Windows 11 and Windows Server 2022

[4.4.10.7-1.0.9]
- Forward port from 4.3.6.6-1.0.16, added Skylake-Server-noTSX-IBRS and Cascadelake-Server-noTSX CPU Types

[4.4.10.7-1.0.8]
- Forward Port - Fix qxl video

[4.4.10.7-1.0.7]
- Forward Port - Fix NPE during ova import operation

[4.4.10.7-1.0.6]
- Forward Port from 4.3 - Handle ova when origin is null and storage disk is block

[4.4.10.7-1.0.5]
- Forward Port from 4.3 - Remove unnecessary name length restriction for templates.

[4.4.10.7-1.0.4]
- Port forward - Add hsts response header to httpd conf

[4.4.10.7-1.0.3]
- Remove memory limit

[4.4.10.7-1.0.2]
- Fix OS detection

[4.4.10.7]
- Bump version to 4.4.10.7

[4.4.10.6]
- Bump version to 4.4.10.6

[4.4.10.5]
- Bump version to 4.4.10.5

[4.4.10.4]
- Bump version to 4.4.10.4

[4.4.10.3]
- Bump version to 4.4.10.3

[4.4.10.2]
- Bump version to 4.4.10.2

[4.4.10.1]
- Bump version to 4.4.10.1

[4.4.10]
- Bump version to 4.4.10

[4.4.9.2]
- Bump version to 4.4.9.2

[4.4.9.1]
- Bump version to 4.4.9.1

[4.4.9]
- Bump version to 4.4.9

[4.4.8.4]
- Bump version to 4.4.8.4

[4.4.8.3]
- Bump version to 4.4.8.3

[4.4.8.2]
- Bump version to 4.4.8.2

[4.4.8.1]
- Bump version to 4.4.8.1

[4.4.8]
- Bump version to 4.4.8

[4.4.7.6]
- Bump version to 4.4.7.6

[4.4.7.5]
- Bump version to 4.4.7.5

[4.4.7.4]
- Bump version to 4.4.7.4

[4.4.7.3]
- Bump version to 4.4.7.3

[4.4.7.2]
- Bump version to 4.4.7.2

[4.4.7.1]
- Bump version to 4.4.7.1

[4.4.7]
- Bump version to 4.4.7

[4.4.6.6]
- Bump version to 4.4.6.6

[4.4.6.5]
- Bump version to 4.4.6.5

[4.4.6.4]
- Bump version to 4.4.6.4

[4.4.6.3]
- Bump version to 4.4.6.3

[4.4.6.2]
- Bump version to 4.4.6.2

[4.4.6.1]
- Bump version to 4.4.6.1

[4.4.6]
- Bump version to 4.4.6

[4.4.5.8]
- Bump version to 4.4.5.8

[4.4.5.7]
- Bump version to 4.4.5.7

[4.4.5.6]
- Bump version to 4.4.5.6

[4.4.5.5]
- Bump version to 4.4.5.5

[4.4.5.4]
- Bump version to 4.4.5.4

[4.4.5.3]
- Bump version to 4.4.5.3

[4.4.5.2]
- Bump version to 4.4.5.2

[4.4.5.1]
- Bump version to 4.4.5.1

[4.4.5]
- Bump version to 4.4.5

[4.4.4.5]
- Bump version to 4.4.4.5

[4.4.4.4]
- Bump version to 4.4.4.4

[4.4.4.3]
- Bump version to 4.4.4.3

[4.4.4.2]
- Bump version to 4.4.4.2

[4.4.4.1]
- Bump version to 4.4.4.1

[4.4.4]
- Bump version to 4.4.4

[4.4.3.11]
- Bump version to 4.4.3.11

[4.4.3.10]
- Bump version to 4.4.3.10

[4.4.3.9]
- Bump version to 4.4.3.9

[4.4.3.8]
- Bump version to 4.4.3.8

[4.4.3.7]
- Bump version to 4.4.3.7

[4.4.3.6]
- Bump version to 4.4.3.6

[4.4.3.5]
- Bump version to 4.4.3.5

[4.4.3.4]
- Bump version to 4.4.3.4

[4.4.3.3]
- Bump version to 4.4.3.3

[4.4.3.2]
- Bump version to 4.4.3.2

[4.4.3.1]
- Bump version to 4.4.3.1

[4.4.3]
- Bump version to 4.4.3

[4.4.2.2]
- Bump version to 4.4.2.2

[4.4.2.1]
- Bump version to 4.4.2.1

[4.4.2]
- Bump version to 4.4.2

[4.4.1.8]
- Bump version to 4.4.1.8

[4.4.1.7]
- Bump version to 4.4.1.7

[4.4.1.6]
- Bump version to 4.4.1.6

[4.4.1.5]
- Bump version to 4.4.1.5

[4.4.1.4]
- Bump version to 4.4.1.4

[4.4.1.3]
- Bump version to 4.4.1.3

[4.4.1.2]
- Bump version to 4.4.1.2

[4.4.1.1]
- Bump version to 4.4.1.1

[4.4.1]
- Bump version to 4.4.1

[4.4.0.3]
- Bump version to 4.4.0.3

[4.4.0.2]
- Bump version to 4.4.0.2

[4.4.0.1]
- Bump version to 4.4.0.1

[4.4.0]
- Bump version to 4.4.0

[4.3.2.1]
- Bump version to 4.3.2.1

[4.3.2]
- Bump version to 4.3.2

[4.3.1.1]
- Bump version to 4.3.1.1

[4.3.1]
- Bump version to 4.3.1

[4.3.0.4]
- Bump version to 4.3.0.4

[4.3.0.3]
- Bump version to 4.3.0.3

[4.3.0.2]
- Bump version to 4.3.0.2

[4.3.0.1]
- Bump version to 4.3.0.1

[4.3.0]
- Bump version to 4.3.0

[4.2.8.2]
- Bump version to 4.2.8.2

[4.2.8.1]
- Bump version to 4.2.8.1

[4.2.8]
- Bump version to 4.2.8

[4.2.7.3]
- Bump version to 4.2.7.3

[4.2.7.2]
- Bump version to 4.2.7.2

[4.2.7.1]
- Bump version to 4.2.7.1

[4.2.7]
- Bump version to 4.2.7

[4.2.6.4]
- Bump version to 4.2.6.4

[4.2.6.3]
- Bump version to 4.2.6.3

[4.2.6.2]
- Bump version to 4.2.6.2

[4.2.6.1]
- Bump version to 4.2.6.1

[4.2.6]
- Bump version to 4.2.6

[4.2.5.2]
- Bump version to 4.2.5.2

[4.2.5.1]
- Bump version to 4.2.5.1

[4.2.5]
- Bump version to 4.2.5

[4.2.4.5]
- Bump version to 4.2.4.5

[4.2.4.4]
- Bump version to 4.2.4.4

[4.2.4.3]
- Bump version to 4.2.4.3

[4.2.4.2]
- Bump version to 4.2.4.2

[4.2.4.1]
- Bump version to 4.2.4.1

[4.2.4]
- Bump version to 4.2.4

[4.2.3.3]
- Bump version to 4.2.3.3

[4.2.3.2]
- Bump version to 4.2.3.2

[4.2.3.1]
- Bump version to 4.2.3.1

[4.2.3]
- Bump version to 4.2.3

[4.2.2.6]
- Bump version to 4.2.2.6

[4.2.2.5]
- Bump version to 4.2.2.5

[4.2.2.4]
- Bump version to 4.2.2.4

[4.2.2.3]
- Bump version to 4.2.2.3

[4.2.2.2]
- Bump version to 4.2.2.2

[4.2.2.1]
- Bump version to 4.2.2.1

[4.2.2]
- Bump version to 4.2.2

[4.2.1.4]
- Bump version to 4.2.1.4

[4.2.1.3]
- Bump version to 4.2.1.3

[4.2.1.2]
- Bump version to 4.2.1.2

[4.2.1.1]
- Bump version to 4.2.1.1

[4.2.1]
- Bump version to 4.2.1

[4.2.0.2]
- Bump version to 4.2.0.2

[4.2.0.1]
- Bump version to 4.2.0.1

[4.2.0]
- Bump version to 4.2.0

[4.1.0]
- Add dependency for ovirt-engine-dashboard.
- Bump version to 4.1.0

[4.0.0]
- Bump version to 4.0.0
- Dropped Fedora < 22 and EL < 7 support

[3.6.0]
- Update dependencies and removed legacy provides / requires

[3.3.0-1]
- Bump version to 3.3.0

[3.2.0-1]
- Bump version to 3.2.0

[3.1.0-3]
- Removed image uploader, iso uploader, and log collector from this
git repo. The are now in their own respective ovirt.org git
repos. BZ#803240.

[3.1.0-2]
- The ovirt-engine spec file did not previously contain a BuildRequires
statement for the maven package. As a result in mock environments the
build failed with an error when attempting to call the 'mvn' binary -
BZ#807761.

[3.1.0-1]
- Adjust code for Jboss AS 7.1

[3.1.0-1]
- Moved all hard coded paths to macros

[3.1.0-1]
- Initial build
- Cloned from RHEVM spec file



ELSA-2024-0119 Moderate: Oracle Linux 8 libxml2 security update


Oracle Linux Security Advisory ELSA-2024-0119

http://linux.oracle.com/errata/ELSA-2024-0119.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
libxml2-2.9.7-18.el8_9.i686.rpm
libxml2-2.9.7-18.el8_9.x86_64.rpm
libxml2-devel-2.9.7-18.el8_9.i686.rpm
libxml2-devel-2.9.7-18.el8_9.x86_64.rpm
python3-libxml2-2.9.7-18.el8_9.x86_64.rpm

aarch64:
libxml2-2.9.7-18.el8_9.aarch64.rpm
libxml2-devel-2.9.7-18.el8_9.aarch64.rpm
python3-libxml2-2.9.7-18.el8_9.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol8/SRPMS-updates//libxml2-2.9.7-18.el8_9.src.rpm

Related CVEs:

CVE-2023-39615

Description of changes:

[2.9.7-18]
- Fix CVE-2023-39615 (RHEL-5179)

[2.9.7-17]
- Fix CVE-2023-28484 (#2186692)
- Fix CVE-2023-29469 (#2186692)



ELBA-2024-0076 Oracle Linux 8 tzdata bug fix and enhancement update


Oracle Linux Bug Fix Advisory ELBA-2024-0076

http://linux.oracle.com/errata/ELBA-2024-0076.html

The following updated rpms for Oracle Linux 8 have been uploaded to the Unbreakable Linux Network:

x86_64:
tzdata-2023d-1.0.1.el8.noarch.rpm
tzdata-java-2023d-1.0.1.el8.noarch.rpm

aarch64:
tzdata-2023d-1.0.1.el8.noarch.rpm
tzdata-java-2023d-1.0.1.el8.noarch.rpm

SRPMS:
http://oss.oracle.com/ol8/SRPMS-updates//tzdata-2023d-1.0.1.el8.src.rpm

Description of changes:

[2023d-1.0.1]
- Use javac 1.6 or newer

[2023d-1]
- Rebase to tzdata-2023d
- Include time zone changes for Ittoqqortoormiit, Greenland
and Vostok, Antarctica.
- Update the expiration date for the leap-seconds.list file.
No new leap seconds were added.



ELBA-2024-12001 Oracle Linux 7 Unbreakable Enterprise kernel bug fix update


Oracle Linux Bug Fix Advisory ELBA-2024-12001

http://linux.oracle.com/errata/ELBA-2024-12001.html

The following updated rpms for Oracle Linux 7 have been uploaded to the Unbreakable Linux Network:

x86_64:
kernel-uek-4.14.35-2047.532.3.1.el7uek.x86_64.rpm
kernel-uek-debug-4.14.35-2047.532.3.1.el7uek.x86_64.rpm
kernel-uek-debug-devel-4.14.35-2047.532.3.1.el7uek.x86_64.rpm
kernel-uek-devel-4.14.35-2047.532.3.1.el7uek.x86_64.rpm
kernel-uek-tools-4.14.35-2047.532.3.1.el7uek.x86_64.rpm
kernel-uek-doc-4.14.35-2047.532.3.1.el7uek.noarch.rpm

SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates//kernel-uek-4.14.35-2047.532.3.1.el7uek.src.rpm

Description of changes:

[4.14.35-2047.532.3.1.el7uek]
- KVM: x86: Don't unnecessarily force masterclock update on vCPU hotplug (Sean Christopherson) [Orabug: 36148712]



ELBA-2024-12001 Oracle Linux 7 Unbreakable Enterprise kernel bug fix update (aarch64)


Oracle Linux Bug Fix Advisory ELBA-2024-12001

http://linux.oracle.com/errata/ELBA-2024-12001.html

The following updated rpms for Oracle Linux 7 have been uploaded to the Unbreakable Linux Network:

aarch64:
kernel-uek-4.14.35-2047.532.3.1.el7uek.aarch64.rpm
kernel-uek-debug-4.14.35-2047.532.3.1.el7uek.aarch64.rpm
kernel-uek-debug-devel-4.14.35-2047.532.3.1.el7uek.aarch64.rpm
kernel-uek-devel-4.14.35-2047.532.3.1.el7uek.aarch64.rpm
kernel-uek-tools-4.14.35-2047.532.3.1.el7uek.aarch64.rpm
kernel-uek-tools-libs-4.14.35-2047.532.3.1.el7uek.aarch64.rpm
kernel-uek-tools-libs-devel-4.14.35-2047.532.3.1.el7uek.aarch64.rpm
perf-4.14.35-2047.532.3.1.el7uek.aarch64.rpm
python-perf-4.14.35-2047.532.3.1.el7uek.aarch64.rpm
kernel-uek-headers-4.14.35-2047.532.3.1.el7uek.aarch64.rpm

SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates//kernel-uek-4.14.35-2047.532.3.1.el7uek.src.rpm

Description of changes:

[4.14.35-2047.532.3.1.el7uek]
- KVM: x86: Don't unnecessarily force masterclock update on vCPU hotplug (Sean Christopherson) [Orabug: 36148712]



ELBA-2024-0076 Oracle Linux 7 tzdata bug fix and enhancement update (aarch64)


Oracle Linux Bug Fix Advisory ELBA-2024-0076

http://linux.oracle.com/errata/ELBA-2024-0076.html

The following updated rpms for Oracle Linux 7 have been uploaded to the Unbreakable Linux Network:

aarch64:
tzdata-2023d-1.el7.noarch.rpm
tzdata-java-2023d-1.el7.noarch.rpm

SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates//tzdata-2023d-1.el7.src.rpm

Description of changes:

[2023d-1]
- Rebase to tzdata-2023d
- Include time zone changes for Ittoqqortoormiit, Greenland
and Vostok, Antarctica.
- Update the expiration date for the leap-seconds.list file.
No new leap seconds were added.



ELBA-2024-0076 Oracle Linux 7 tzdata bug fix and enhancement update


Oracle Linux Bug Fix Advisory ELBA-2024-0076

http://linux.oracle.com/errata/ELBA-2024-0076.html

The following updated rpms for Oracle Linux 7 have been uploaded to the Unbreakable Linux Network:

x86_64:
tzdata-2023d-1.el7.noarch.rpm
tzdata-java-2023d-1.el7.noarch.rpm

SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates//tzdata-2023d-1.el7.src.rpm

Description of changes:

[2023d-1]
- Rebase to tzdata-2023d
- Include time zone changes for Ittoqqortoormiit, Greenland
and Vostok, Antarctica.
- Update the expiration date for the leap-seconds.list file.
No new leap seconds were added.



ELBA-2024-0076 Oracle Linux 6 Extended Lifecycle Support (ELS) tzdata bug fix and enhancement update


Oracle Linux Bug Fix Advisory ELBA-2024-0076

http://linux.oracle.com/errata/ELBA-2024-0076.html

The following updated rpms for Oracle Linux 6 Extended Lifecycle Support (ELS) have been uploaded to the Unbreakable Linux Network:

tzdata-2023d-1.el6.noarch.rpm
tzdata-java-2023d-1.el6.noarch.rpm

x86_64:
tzdata-2023d-1.el6.noarch.rpm
tzdata-java-2023d-1.el6.noarch.rpm

Description of changes:

[2023d-1]
- Rebase to tzdata-2023d
- Include time zone changes for Ittoqqortoormiit, Greenland
and Vostok, Antarctica.
- Update the expiration date for the leap-seconds.list file.
No new leap seconds were added.